import * as $dara from '@darabonba/typescript';
import { DissociateRouteTableFromGatewayResponseBody } from "./DissociateRouteTableFromGatewayResponseBody";
export declare class DissociateRouteTableFromGatewayResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DissociateRouteTableFromGatewayResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
